#include <vdr/plugin.h>
#include <vdr/menu.h>
#include <vdr/status.h>
#include <vdr/tools.h>
#include <vdr/config.h>
#include <vdr/player.h>
#include <fstream>
#include <iostream>
#include <string>
#include <sstream>
#include <math.h>

using namespace std;

class cMyOsd : public cOsdMenu
{
	private:
		int page;
		int order;
		int cnt_entry;	
	public:
		cMyOsd();
		~cMyOsd();
		virtual eOSState ProcessKey(eKeys Key);
		double Round(double Zahl, unsigned int Stellen);
		string Format(double Zahl);
		void showhd(const char* titel);
};
